> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fireblocks Integration

> Returns the org Fireblocks integration with masked API key, signer-key flags, CSR, asset and network IDs.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-fireblocks-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-fireblocks-integration:
    get:
      operationId: getFireblocksIntegration
      summary: Get Fireblocks Integration
      x-toku-required-scope: integrations:read
      description: >-
        Returns the org Fireblocks integration with masked API key, signer-key
        flags, CSR, asset and network IDs.


        Required scope: `integrations:read`
      parameters:
        - name: orgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFireblocksIntegrationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetFireblocksIntegrationResponse:
      oneOf:
        - $ref: '#/components/schemas/GetFireblocksIntegrationResponse1'
        - type: 'null'
    GetFireblocksIntegrationResponse1:
      type: object
      properties:
        fireblocksApiKeyMasked:
          type: string
          pattern: ^(?:••••••••(?:[\s\S]{4})?)?$
        hasApiKey:
          type: boolean
        hasSignerKey:
          type: boolean
        fireblocksSignerKey:
          type: string
          pattern: ^(?![\s\S]*PRIVATE KEY)
        fireblocksAssetId:
          type: string
        fireblocksNetworkID:
          type: string
        fireblocksAssetLegacyId:
          type: string
      required:
        - fireblocksApiKeyMasked
        - hasApiKey
        - hasSignerKey
        - fireblocksSignerKey
        - fireblocksAssetId
        - fireblocksNetworkID
        - fireblocksAssetLegacyId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
